# std::const_mem_fun1_t< Ret, Type, Arg > Class Template Reference
[Adaptors for pointers to members]

One of the adaptors for member pointers. More...

`#include <stl_function.h>`

Inheritance diagram for std::const_mem_fun1_t< Ret, Type, Arg >:

[legend]
Collaboration diagram for std::const_mem_fun1_t< Ret, Type, Arg >:

[legend]
List of all members.

## Public Types

typedef const Type * | first_argument_type
| the type of the first argument
typedef Arg | second_argument_type
| the type of the second argument
typedef Ret | result_type
| type of the return type

## Detailed Description

### template<class Ret, class Type, class Arg>
class std::const_mem_fun1_t< Ret, Type, Arg >

One of the adaptors for member pointers.

Definition at line 671 of file stl_function.h.

## Member Typedef Documentation

typedef const Type * std::binary_function< const Type * , Arg , Ret >::first_argument_type `[inherited]`

| the type of the first argument Definition at line 116 of file stl_function.h.

typedef Ret std::binary_function< const Type * , Arg , Ret >::result_type `[inherited]`

| type of the return type Definition at line 120 of file stl_function.h.

typedef Arg std::binary_function< const Type * , Arg , Ret >::second_argument_type `[inherited]`

| the type of the second argument Definition at line 119 of file stl_function.h.

The documentation for this class was generated from the following file:

- stl_function.h